curl --request POST \
--url https://api.getcargo.io/v1/ai/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger": {
"type": "<string>",
"connectorUuid": "<string>",
"meta": {}
},
"name": "<string>",
"agentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"chat": {
"uuid": "<string>",
"slug": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"name": "<string>",
"trigger": "<unknown>",
"activeStreamUuid": "<string>",
"creditsUsedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastMessage": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"chatUuid": "<string>",
"userUuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"type": "user",
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}
}Create a new chat session
curl --request POST \
--url https://api.getcargo.io/v1/ai/chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trigger": {
"type": "<string>",
"connectorUuid": "<string>",
"meta": {}
},
"name": "<string>",
"agentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"chat": {
"uuid": "<string>",
"slug": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"name": "<string>",
"trigger": "<unknown>",
"activeStreamUuid": "<string>",
"creditsUsedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastMessage": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"chatUuid": "<string>",
"userUuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"type": "user",
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Trigger configuration for the chat.
Show child attributes
Chat name.
Agent identifier for the chat.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Release identifier for the chat.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Created chat details.
Show child attributes
Was this page helpful?